Problema resolvido com implantação das novas versões do Módulo Windows Azure Active Directory para Windows PowerShell + Novo Assistente de Conexão do Microsoft Online Services

NHYSDFSR

Dica rápida: para quem está implantando o Módulo Windows Azure Active Directory para Windows PowerShell (antigo Módulo Microsoft Online Services para Windows PowerShell), pode ter se deparado com esta tela de erro na instalação:

“Para instalar o Módulo Windows Azure Active Directory para Windows PowerShell, é necessário ter o Assistente de Conexão do Microsoft Online Services versão 7.0 ou superior no computador”

2

Por que?

O material oficial Microsoft que mostra os passos para esta configuração, constante neste KB, direciona para instalação da versão correta e atualizada do Módulo Windows Azure Active Directory para Windows PowerShell, mas não para o Assistente de Conexão do Microsoft Online Services (IDCRL7) – versão de 32 bits e de 64 bits que ainda direciona para a versão anterior (funcional com o, também anterior, Módulo Microsoft Online Services para Windows PowerShell) mas incompatível com o novo Módulo Windows Azure Active Directory para Windows PowerShell.

NHYSDFSR

Notem que, em Programas Instalados, a versão constante do Assistente de Conexão do Microsoft Online Services é a 7.250.4209.0.

1

A versão aceita como pré-requisito pelo novo Módulo de Windows Azure Active Directory para Windows PowerShell é a 7.250.4551.0

image

Esta é a nova versão do Assistente e está disponível neste link.

image

Agora já é possível instalar o Módulo e usar o Shell para administrar o Office 365:

 

3

4

5

6

7

8

Mauricio Cassemiro

Profissional de TI desde 2010, especialista Microsoft, Microsoft Office Specialist (MOS) em Microsoft Outlook e MVP de Office Servers and Services no Brasil.

Website: https://www.mauriciocassemiro.com